MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024758Open CASCADE[OCCT] OCCT:Samplespublic2014-03-24 11:382014-11-11 12:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024758: Sample DRAW scripts for demonstrating sweeping algorithm
DescriptionTo demonstrate capabilities of sweeping algorithm in OCCT, it is proposed to make DRAW scripts creating complex shapes which can be produced by sweeping, like twist drill bit and milling cutter.
TagsNo tags attached.
Test case numberbugs modalg_5 bug24758_1 bug24758_2
Attached Files

- Relationships

-  Notes
(0028437)
abv (manager)
2014-03-24 11:43

The new scripts added in samples/tcl, pushed to CR24758. Please review and add a test case for these samples.
(0028483)
bugmaster (administrator)
2014-03-26 11:27
edited on: 2014-03-27 10:13

Andrey,

Please add test cases for new samples scripts

(0028504)
apn (administrator)
2014-03-27 11:07

Test cases:

bugs modalg_5 bug24758_1
http://occt-tests/24758-occt-Linux/bugs/test/bug24758_1.html [^]
http://occt-tests/24758-occt-WNT/bugs/test/bug24758_1.html [^]

bugs modalg_5 bug24758_2
http://occt-tests/24758-occt-Linux/bugs/test/bug24758_2.html [^]
http://occt-tests/24758-occt-WNT/bugs/test/bug24758_2.html [^]

- Related Changesets
occt: master 07b5cb8f
Timestamp: 2014-03-27 12:54:50
Author: abv
Committer: bugmaster
Details ] Diff ]
0024758: Sample DRAW scripts for demonstrating sweeping algorithm

Two scripts added:
samples/tcl/drill.tcl: creates model of a twist drill bit
samples/tcl/cutter.tcl: creates simplified model of a milling cutter
Added test cases bugs/modalg_5/bug24758_1 bug24758_2
add - samples/tcl/cutter.tcl Diff ] File ]
add - samples/tcl/drill.tcl Diff ] File ]
add - tests/bugs/modalg_5/bug24758_1 Diff ] File ]
add - tests/bugs/modalg_5/bug24758_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-24 11:38 abv New Issue
2014-03-24 11:38 abv Assigned To => bugmaster
2014-03-24 11:43 abv Note Added: 0028437
2014-03-24 11:43 abv Status new => resolved
2014-03-26 11:26 bugmaster Assigned To bugmaster => apn
2014-03-26 11:27 bugmaster Note Added: 0028483
2014-03-27 10:13 apn Note Edited: 0028483 View Revisions
2014-03-27 11:07 apn Note Added: 0028504
2014-03-27 11:08 apn Test case number => bugs modalg_5 bug24758_1 bug24758_2
2014-03-27 11:08 apn Assigned To apn => bugmaster
2014-03-27 11:08 apn Status resolved => reviewed
2014-03-27 11:08 apn Status reviewed => tested
2014-03-28 16:38 bugmaster Changeset attached => occt master 07b5cb8f
2014-03-28 16:38 bugmaster Status tested => verified
2014-03-28 16:38 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker